package com.nantian.sc.cloud.admin.api.log;

import java.lang.annotation.*;

@Documented
@Target({ElementType.TYPE, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface OperationLogAnnotation {
    String module() default "模块（如先进技术资料）";
    String action() default "操作（如增删改等）";
    String remark() default "备注信息";
    String userDept() default "可以看到日志的用户，多个用户用逗号隔开（0超级用户, 1节能，2计量，3公共机构，4工信，5发改，6市场监督管理局，7企业用户）";
}
